KSyntaxHighlighter Class Reference

`#include <ksyntaxhighlighter.h>`

Inherits QSyntaxHighlighter.

Inherited by KSpellingHighlighter.

## Public Types

enum | SyntaxMode { PlainTextMode, RichTextMode }

## Public Member Functions

| KSyntaxHighlighter (QTextEdit *textEdit, bool colorQuoting=false, const QColor &QuoteColor0=black, const QColor &QuoteColor1=QColor(0x00, 0x80, 0x00), const QColor &QuoteColor2=QColor(0x00, 0x80, 0x00), const QColor &QuoteColor3=QColor(0x00, 0x80, 0x00), SyntaxMode mode=PlainTextMode)
int | highlightParagraph (const QString &text, int endStateOfLastPara)

## Detailed Description

Syntax sensitive text highlighter.

Definition at line 42 of file ksyntaxhighlighter.h.

The documentation for this class was generated from the following files:

- ksyntaxhighlighter.h
- ksyntaxhighlighter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys